What has happened to desktop icons in rawhide?

Peter Robinson pbrobinson at gmail.com
Tue Jan 25 14:46:34 UTC 2011


On Tue, Jan 25, 2011 at 2:35 PM, Matthias Clasen <mclasen at redhat.com> wrote:
> On Mon, 2011-01-24 at 22:59 -0800, Adam Williamson wrote:
>> On Mon, 2011-01-24 at 09:11 -0500, Matthias Clasen wrote:
>>
>> > I've added the dependency to gnome-panel. That should achieve the same
>> > for gnome users on upgrade, without affecting other spins.
>>
>> But it doesn't make any sense. gnome-panel does *not* require
>> gnome-shell. We really shouldn't just go around abusing dependencies to
>> make upgrades 'work', even if it is convenient.
>
> Make a better proposal then. Just doing nothing is not an option.
> The 'natural' place for the dependency would be gnome-session. I have
> put it in gnome-panel to help other spins who use gdm and might not want
> the extra baggage - and see how warmly probinson thanked me for it :-(

But gnome-panel is the old way. It means anyone who can't use gnome-3
gets it and all its dependencies anyway. Its not a direct attack on
you but there must be a better way to provide a "seemless upgrade"
using comps groups or something similar.

Peter


More information about the test mailing list